﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Configuring Password Synchronization from Active Directory</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring Password Synchronization from Active Directory</h1>
        <h2>Introduction</h2>
        <p>The user import process does not bring user passwords from Active Directory to Saviynt Identity Governance and Administration (IGA). To enable password synchronization from Active Directory, you must install a Password Sync Filter on each Active Directory domain controller from where you want to capture passwords when user accounts are created or passwords are changed by users or administrators by any means. The Password Sync Filter stores the password changes locally on the Active Directory server in an SQLite database to ensure that there is no loss of information in case of unscheduled interruptions, encrypts the passwords, and then sends the password information to IGA.&#160;You can configure an additional level of validation on the Password Sync Filter for the changed password and allow the password change to synchronize only if it is validated.&#160;</p>
        <p>For password synchronization to occur, you must install a Password Sync Filter (SavPwFilter.dll) on each domain controller to capture the password changes for sending them to IGA. The synchronized password is then propagated to the endpoints configured for the user. The endpoints are specified as part of the password filter configuration in the SavPwFilter.json file. The Password Filter is automatically started when the domain controller where it is installed is started.</p>
        <h1 id="ConfiguringPasswordSynchronizationfromActiveDirectory-InstallingthePasswordSyncFilter">Installing the Password Sync Filter</h1>
        <p>You can install the Password Sync Filter manually or using the Active Directory Password Sync Management console. Typically, the console is useful when you want to install the Password Sync Filter on multiple domain controllers.</p>
        <h2 id="ConfiguringPasswordSynchronizationfromActiveDirectory-Prerequisites">Prerequisites</h2>
        <p>Verify that all the prerequisites are met before you install the Password Sync Filter:</p>
        <ul>
            <li>
                <p>A Windows Server 2012 R2 (64-bit) and later running Active Directory.</p>
            </li>
            <li>
                <p>(Conditional) Microsoft Visual C++ 2015-2019 Redistributable package is installed on the Windows server running Active Directory. This is only required if you are installing the Password Sync Filter manually. This package is automatically installed as part of the Active Directory Password Sync Management console installation</p>
            </li>
            <li>
                <p>Access is provided to the following directories that contain the Password Sync Filter files:</p>
                <ul>
                    <li>
                        <p><a href="../Resources/Attachments/PasswordFilter.zip"><strong>PasswordSyncFilter</strong></a>: Contains the files to install the Password Sync Filter manually.</p>
                    </li>
                    <li>
                        <p><a href="../Resources/Attachments/PSyncManagementConsole.zip"><strong>PSyncManagementConsole.zip</strong></a>: Contains the files to install the Active Directory Password Sync Management Console, which contains the files to install the Password Sync Filter on multiple domain controllers.</p>
                    </li>
                </ul>
            </li>
        </ul>
        <p style="margin-left: 30.0px;">Click the file name to download the file.&#160;</p>
        <h2 id="ConfiguringPasswordSynchronizationfromActiveDirectory-ConfigurationWorksheet">Configuration Worksheet</h2>
        <p>Use the following information to define the configuration of the Password Sync Filter in the SavPwFilter.json file as part of the installation process.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 241.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 517.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Required Information</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>Configure Saviynt Connection&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>Specify the IGA connection details in the SavPwFilter.json file. The Password Sync Filter uses these details to establish a connection with IGA for synchronizing passwords.&#160;</p>
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: PlainText;">{
"saviynt": {
"baseUrl": "https://hostname:port/ECM",
"userName": "User name of the administrator",
"password": "Encrypted password of the administrator",
"EnabledVersion": "v5",&#160; &#160; &#160; &#160; &#160; &#160; &#160;"v2": {&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; "getUserUrl": "/ws/rest/getUser",&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; "notificationUrl": "/ws/rest/changePassword"&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; },&#160; &#160; &#160; &#160; &#160; &#160; "v5": {&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160;"getUserUrl": "/api/v5/getUser",&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; "notificationUrl": "/api/v5/changePassword",&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; "oauthUrl": "/api/login",&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160;"oauthRefreshUrl": "/oauth/access_token"&#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160; &#160;},
"correlation": "username",
"validateagainstpolicy": "Y",
"endpoints": "Define the endpoints to which you want IGA to synchronize the password",
"sourceEndpoint": "Active Directory",
"retry": 3,
"timeout": 60,
"delay": 5
"queueDelayCheck": 1
}&#160;}   </MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                            <p>&#160;where</p>
                            <ul>
                                <li>
                                    <p class="table-text">baseUrl: The URL where IGA is hosted.</p>
                                </li>
                                <li>
                                    <p class="table-text">userName: The username of the administrator account required to connect to IGA.</p>
                                </li>
                                <li>
                                    <p class="table-text">password: The encrypted password for the administrator user account required to connect to IGA. The installation folder contains the SavPasswordEncrypt.exe console for encrypting this password. Run this console from the command prompt to generate the encrypted the password and specify that password for this parameter.</p>
                                </li>
                                <li>
                                    <p class="table-text">EnabledVersion:&#160;Use V2 if&#160;basic authentication is enabled and V5 if OAuth based authentication is enabled depending on your IGA version.</p>
                                </li>
                                <li>
                                    <p class="table-text">notificationUrl: The URL of the changePassword REST API that changes the password in IGA.</p>
                                </li>
                                <li>
                                    <p class="table-text">correlation: Correlates an Active Directory user for whom the password was changed with the users in IGA. If a matching user is found, the password is synchronized. Otherwise, the password is not synchronized.</p>
                                </li>
                                <li>
                                    <p class="table-text">endpoints: The endpoints to which the password change must be propagated.</p>
                                </li>
                                <li>
                                    <p class="table-text">sourceEndpoint: The name of the Active Directory endpoint.</p>
                                </li>
                                <li>
                                    <p class="table-text">retry: Defines the number of times the Password Sync Filter attempts to resynchronize the changed password to IGA if the password synchronization fails.</p>
                                </li>
                                <li>
                                    <p class="table-text">timeout: The time-period within which the connection between Password Sync Filter and IGA must be established. Otherwise, the connection times out.</p>
                                </li>
                                <li>
                                    <p class="table-text">delay: The amount of time in seconds between two password synchronization retries.</p>
                                </li>
                                <li>
                                    <p class="table-text">queueDelayCheck:&#160;Time in seconds to check the SQLite database for new passwords changes.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>Enforce Password Policy</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>You can configure the Password Sync Filter to apply IGA password policy on the changed password before sending it to IGA. This provides an additional layer of validation of changed passwords. By default, this setting is disabled. To enable it, change "enabled" to true in the following entry:</p>
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: PlainText;">"filter": {
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "enabled": false,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "policy": {
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "enforce": "local",
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "local": {
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "minChars": 6,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "maxChars": 20,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "lowerCases": 1,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "upperCases": 1,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "numbers": 1,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "specials": 1
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; },
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "UserDataCheck": 0,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "PartialDictionary": {
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "Check": 0,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "File": "PartialDictionary.csv"
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; },
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "CompleteDictionary": {
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "Check": 0,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "File": "Dictionary.csv"
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; }&#160; }&#160; },   </MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                            <p>Review the following conditions when a password change will occur in IGA and configured endpoints when "validateagainstpolicy= Y" and "enabled" is set to true.&#160;</p>
                            <ul>
                                <li>
                                    <p>If the new password complies with the password policy of source and configured endpoints, the user’s password is changed in IGA and a Change Password task is created for changing the password in the configured endpoints.</p>
                                </li>
                                <li>
                                    <p>If the new password matches only the password policy of the source endpoint, the user’s password is changed in IGA but no Change Password task is created for the configured endpoints.</p>
                                </li>
                                <li>
                                    <p>If the new password does not comply with the password policy of the source or the configured endpoint, it is not synchronized, and an error message is displayed.</p>
                                </li>
                                <li>
                                    <p>If the new password matches only the password policy of the configured endpoint, the user’s password is not changed in IGA and no Change Password task is created for the configured endpoints.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>Disable Password Change Notification</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>The Password Sync Filter automatically notifies the password change to IGA. To stop the notification, set&#160;<em>"enabled"&#160;</em>to&#160;<em>false&#160;</em>in the following entry:</p>
                            <p>"notification": {"enabled": false},</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p>Disable Logging</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p>By default, logging is enabled for password change requests sent from the Active Directory server and captured in the SavPwFilter.log file located in the Password Sync Filter installation folder. To change the log details, modify the following log entrie:&#160;</p>
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: PlainText;">"log": {
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "logfile": "SavPwFilter.log",
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "loglevel": 0,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "logsize": 10,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "backuplogfile": 5,
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; "verbose": 0
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; }   </MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2 id="ConfiguringPasswordSynchronizationfromActiveDirectory-InstallingthePasswordSyncFilterManually">Installing the Password Sync Filter Manually</h2>
        <ol>
            <li>
                <p>Create a new folder in any directory of the domain controller server where you are installing the Password Sync Filter. (For example, SavPwFilter)&#160;</p>
            </li>
            <li>
                <p>Copy the&#160;SavPWFilter.zip&#160;file to the folder that you created in Step 1 and extract the contents of the file.</p>
            </li>
            <li>
                <p>Locate the SavPasswordEncrypt.exe&#160;file in the extracted contents and&#160;run the file in the command prompt to encrypt the administrator user password.</p>
            </li>
            <li>
                <p>Locate the&#160;SavPwFilter.json&#160;file in the extracted contents and define the settings in the file for your requirement. For more information, see the Configuration Worksheet. <span class="inline-comment-marker">&lt;Link&gt;</span></p>
            </li>
            <li>
                <p>Enable Local Security Authority (LSA) protection for the Password Sync Filter to successfully load it as a protected process on the target server.</p>
                <ol>
                    <li>
                        <p>Open the Registry Editor (RegEdit.exe) and navigate to the registry key located at<label class="filename-path"> HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa\Notification Packages</label>.</p>
                    </li>
                    <li>
                        <p>Add the following value to the registry key:&#160;<label class="filename-path">Local drive:\SavPwFilter\SavPwFilter.dll</label>. For example, <label class="filename-path">C:\SavPwFilter\SavPwFilter.dll</label></p>
                    </li>
                </ol>
            </li>
            <li>
                <p>Restart the domain controller server.&#160;</p>
            </li>
        </ol>
        <h2 id="ConfiguringPasswordSynchronizationfromActiveDirectory-InstallingthePasswordSyncFilterusingtheActiveDirectoryPasswordSyncManagementConsole">Installing the Password Sync Filter using the Active Directory Password Sync Management Console</h2>
        <p>Saviynt&#160;provides the Active Directory Password Sync Management console to quickly install the Password Sync Filter on multiple domain controllers at the same time. The console is provided as part of the PSyncManagementConsole.zip file.</p>
        <p>You must install the console on a member server or a domain controller in the target domain. The console is designed to discover the domains and domain controllers in your forest and automatically install the Password Sync Filter on them. If you are installing the Password Sync Filter on multiple domains, ensure that trust is established between the domains.</p>
        <p>You can also use this console to uninstall the Password Sync Filter and reboot the domain controller where the Password Sync Filter is installed.</p>
        <p>Installing the Password Sync Filter using the Active Directory Password Sync Management console is a two-step process. First you install the Active Directory Password Sync Management console and then use it to install the Password Sync Filter on the target domain controllers at the same time.</p>
        <h3 id="ConfiguringPasswordSynchronizationfromActiveDirectory-InstallingtheActiveDirectoryPasswordSyncManagementConsole">Installing the Active Directory Password Sync Management Console</h3>
        <p>You can install the Active Directory Password Sync Management console using a wizard or through the command prompt.</p>
        <h4 id="ConfiguringPasswordSynchronizationfromActiveDirectory-InstallingthroughaWizard">Installing through a Wizard</h4>
        <ol>
            <li>
                <p>Double-click the PSyncManagementConsole.msi file from the extracted contents of the <span class="inline-comment-marker">PSyncManagementConsole</span>.zip file.</p>
            </li>
        </ol>
        <p>The Active Directory Password Sync Management Console Setup Wizard is displayed.</p>
        <p>2. Click <strong>Next</strong>.</p>
        <p>3 Specify the custom location to install the Active Directory Password Sync Management console, then click <strong>Next</strong>. The default location is <label class="filename-path">C:\PSyncManagementConsole</label>.  </p>
        <p>If the installation is successful, an “Installation Complete” window is prompted. Click <strong>Close </strong>to exit the installer.</p>
        <p>Otherwise, reinstall it. You will be prompted to confirm if you want to repair or remove the existing installation.</p>
        <p>The installation process lays down the following files and folders in the installation directory:</p>
        <h4>Updating the SavPwdFilter.json File</h4>
        <p>The SavPwdFilter.json file contains the configuration settings of the Password Sync Filter. You must modify this file based on your requirements for the domain controllers where you want to install the Password Sync Filter.</p>
        <p>The SavPwdFilter.json file is located in the PasswordSyncFilterSetup.zip file. The PasswordSyncFilterSetup.zip file is located in the Package folder of PSyncManagementConsole inside the install directory of Active Directory Password Sync Management Console. Default location is <label class="filename-path">C:\PSyncManagementConsole</label>. </p>
        <p>To update the SavPwdFilter.json file:</p>
        <p>1. Open the Package folder and locate the PasswordSyncFilterSetup.zip file. </p>
        <p>2. Unzip this file and locate the SavPwdFilter.json file in the unzipped folder. </p>
        <p>3. Modify the SavPwdFilter.json file for your requirement. For more information, see the Configuration Worksheet. &lt;Link&gt;</p>
        <p>4. Delete the existing PasswordSyncFilterSetup.zip file.</p>
        <p>5. Zip all the extracted files and the modified SavPwdFilter.json file in a file named PasswordSyncFilterSetup.zip file. </p>
        <p>You will use this file for installing the Password Sync Filter on domain controllers of your choice.</p>
        <h4 id="ConfiguringPasswordSynchronizationfromActiveDirectory-InstallingthroughtheCommandLine">Installing through the Command Line</h4>
        <p>Perform the following steps to install the Active Directory Password Sync Management console through the command line. </p>
        <ol>
            <li>
                <p>Log in as an administrator in a <span class="inline-comment-marker">member server</span> or domain controller in the target domain.</p>
            </li>
            <li>
                <p>Launch the command prompt.</p>
            </li>
            <li>
                <p>Run the following command to install the console.</p>
            </li>
        </ol>
        <p style="margin-left: 30.0px;"><span class="attr">install_sav_PSyncManagementConsole.bat</span> <em>location to install</em></p>
        <h3 id="ConfiguringPasswordSynchronizationfromActiveDirectory-InstallingthePasswordSyncFilter.1">Installing the Password Sync Filter</h3>
        <ol>
            <li>
                <p>Launch the Active Directory Password Sync Management console by double-clicking the PSyncCentralizedDeployment.exe file from the location where you installed it or from Start Menu.</p>
            </li>
        </ol>
        <p>2. In the Configure page, click <strong>Configure &gt; Profile Configuration</strong> to create a profile. </p>
        <p>The profile will store the connection details of domains or domain controllers in your forest where you want to install the Password Sync Filter.</p>
        <p>4. In the Profile Configuration window, fill in the values for the given fields.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 158.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 600.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">Field</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                            <p class="table-text">Description</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Profile Name</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Enter a profile name.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Domain Machine</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Enter the Domain Name Server (DNS) of the target domain.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User Name</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Enter the user name of Domain Administrator to connect to the target domain.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Password</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Enter the password for <strong>User Name</strong>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Install Location</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the path to install the Password Sync Filter on the target server. You can install it in any location on your server.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Test Connection</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Click this field to test the connection to domains or domain controllers specified in the profile to check for connection failures.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>After the connection is successful, click <strong>Add</strong> to save the profile. When the profile is created, it is activated by default.</p>
        <p>The console will discover the domains in your forest and display them in the <strong>All Domains</strong> section. In case of a large number of domains, you can quickly view a domain using <strong>Filter.</strong></p>
        <p>5. To manage a domain, select it from the <strong>All Domains</strong> section and click <strong>“&gt; “</strong> to move it to the <strong>Managed Domains</strong> section.</p>
        <p>6. To identify the domain controllers in the domain selected from the <strong>Managed Domains</strong> section, click <strong>Discover All DCs</strong>.</p>
        <p>7. In the Domain Controller Selection page, select the domain controller where you want to install the Password Sync Filter, then click <strong>Add.</strong></p>
        <p>8. Go to <strong>Select Action,</strong> select<strong> Install</strong>, then click <strong>Apply</strong>.</p>
        <p>The following files are created by the installation process in the Password Sync Filter installation directory:</p>
        <ul>
            <li>
                <p>SavPWFilter.json</p>
            </li>
            <li>
                <p>SavPWFilter.dll</p>
            </li>
            <li>
                <p>SavPasswordEncrypt.exe</p>
            </li>
        </ul>
        <p>9. To complete the installation, click <strong>Reboot &gt; Apply</strong>. </p>
        <p>This action reboots the domain controller computer where you installed the Password Sync Filter. After the domain controller computer is rebooted, a file named&#160;<strong>SavPwFilter.db </strong>is created in the Password Sync Filter installation directory. This is an SQLite database that persists the password change notification information.</p>
        <h4>Managing the Password Sync Filter</h4>
        <p>If the Password Sync Filter is already installed, the Active Directory Password Sync Management console offers several options for changing the existing configuration.&#160;</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 118.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 640.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">Option</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                            <p class="table-text">Description</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Restart</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Restarts the domain controller computer where the Password Sync Filter is installed.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Refresh</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Refreshes the list of domain controllers.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Uninstall</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Uninstalls the Password Sync Filter.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2 id="ConfiguringPasswordSynchronizationfromActiveDirectory-UninstallingthePasswordSyncFilterManually">Uninstalling the Password Sync Filter Manually</h2>
        <ol>
            <li>
                <p>Open the Registry Editor and navigate to the registry key located at <option class="filename-path">HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa\Notification Package.</option></p>
            </li>
            <li>
                <p>Remove the following value from the registry key:&#160;</p>
                <p>
                    <option class="filename-path">Local drive:\SavPwFilter\SavPwFilter.dll. For example, C:\SavPwFilter\SavPwFilter.dll</option>.</p>
            </li>
            <li>
                <p>Restart the domain controller server.&#160;&#160;</p>
            </li>
            <li>
                <p>Delete the SavPwFilter folder from&#160;the installation directory of the Password Sync Filter.</p>
            </li>
        </ol>
        <h3 id="ConfiguringPasswordSynchronizationfromActiveDirectory-Relatedlinks:">Related links: </h3>
        <ul>
            <li>
                <p>
                    <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Microsoft-Active-Directory-Connector-Guide.htm" pubname="AD-v2020x" class="peer">Microsoft Active Directory Connector Guide</a>
                    </MadCap:conditionalText>
                </p>
            </li>
            <li>
                <p>
                    <MadCap:conditionalText MadCap:conditions="Default.Link,Default.Web">ADSI Connector Guide</MadCap:conditionalText>
                </p>
            </li>
        </ul>
    </body>
</html>